## xca-0.5.1.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 1.42 2004/04/19 21:19:31 chris2511 Exp $
#
#####################################################################

TAG=$(shell echo "V.$(TVERSION)" |sed "s/\./_/g" )
TARGET=xca-$(TVERSION)

export TOPDIR=$(shell pwd)

SUBDIRS=lib widgets view ui
OBJECTS=$(patsubst %, %/target.obj, $(SUBDIRS))
INSTDIR=img misc lang doc

bindir=bin

all: headers xca doc
re: clean all

xca: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS) -o xca
	#$(CC) $(CPPFLAGS) ../mingw/qt/lib/qt-mt230nc.lib ../mingw/qt/lib/qtmain.lib main.cpp -o main
	@echo -e "\n\n\nOk, compilation was successfull. \nNow do as root: 'make install'\n"

headers:
	$(MAKE) -C ui $@

%/target.obj: headers
	$(MAKE) DEP=yes -C $* target.obj

clean:
	for x in $(SUBDIRS); do \
	  $(MAKE) -C $${x} clean; \
	done
	rm -f *~ xca 

distclean: clean	
	rm -f Local.mak

dist: 
	test ! -z "$(TVERSION)"
	rm -rf $(TARGET) 
	cvs export -r $(TAG) -d $(TARGET) xca && \
	(cd $(TARGET) && \
	./mkxcapro.sh && lrelease xca.pro || echo 'lrelease not found !!' && \
	cat rpm/xca.spec |sed s/VERSION/$(TVERSION)/g >rpm/$(TARGET)-1.spec && \
	cat lib/base.h.in |sed s/MY_VERSION/$(TVERSION)/g >lib/base.h && \
	cat doc/xca.man |sed s/MY_VERSION/$(TVERSION)/g >doc/xca.1 && \
	cat misc/xca.nsi |sed s/VERSION/$(TVERSION)/g >misc/$(TARGET).nsi && \
	rm -rf misc/xca.nsi rpm/xca.spec && \
	cd doc && linuxdoc -B html xca.sgml || echo "no linuxdoc found -> continuing"; ) && \
	tar zcf $(TARGET).tar.gz $(TARGET) && \
	(cd $(TARGET) && dpkg-buildpackage -rfakeroot )
	#rm -rf ../$(TARGET)
	
install: xca
	$(STRIP) xca
	install -m 755 -d $(destdir)$(prefix)/$(bindir)
	install -m 755 xca $(destdir)$(prefix)/$(bindir)
	for d in $(INSTDIR); do \
	  $(MAKE) -C $$d install; \
	done

.PHONY: $(SUBDIRS)

Local.mak: configure
	./configure

sinclude Local.mak

=== doc/Makefile ===
ifeq ($(TOPDIR),)
TOPDIR=..
endif

all: doc
mandir=man
doc: xca.1.gz xca.html

xca.1.gz:
	gzip -9 <xca.1 >$@

xca.html: xca.sgml
	linuxdoc -B html $< || true

install: xca.1.gz
	install -m 755 -d $(destdir)$(prefix)/share/xca \
		$(destdir)$(prefix)/$(mandir)/man1
	install -m 644 xca*.html $(destdir)$(prefix)/share/xca
	install xca.1.gz $(destdir)$(prefix)/$(mandir)/man1

include $(TOPDIR)/Local.mak

=== img/Makefile ===

all:

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca \
		$(destdir)$(prefix)/share/pixmaps
	install -m 644 key.xpm $(destdir)$(prefix)/share/pixmaps/xca.xpm
	install -m 644 *.png $(destdir)$(prefix)/share/xca

include $(TOPDIR)/Local.mak

=== lang/Makefile ===

all:

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca
	install -m 644 lang/xca_??.qm $(destdir)$(prefix)/share/xca || true

include $(TOPDIR)/Local.mak

=== lib/Makefile ===
#
# $Id: Makefile,v 1.11 2004/02/18 00:03:05 chris2511 Exp $
#
#########################################################################

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super pki_base
NAMES=$(MOCNAMES) asn1int oid pki_pkcs7 x509rev asn1time pass_info \
	pki_temp x509v3ext db_base pki_x509 func pki_crl pki_x509req \
	load_obj pki_key pki_x509super main pki_pkcs12 x509name

OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOCNAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== misc/Makefile ===

all: 

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
		$(destdir)$(prefix)/share/applications
	install -m 644 *.txt $(destdir)$(prefix)/share/xca
	install -m 644 xca.desktop $(destdir)$(prefix)/share/applications

include $(TOPDIR)/Local.mak

=== ui/Makefile ===
#
# $Id: Makefile,v 1.3 2003/11/24 09:04:17 chris2511 Exp $
#
#####################################################################

UINAMES=$(patsubst %.ui, %, $(wildcard *.ui))
OBJS=$(patsubst %, moc_%.o, $(UINAMES)) $(patsubst %, %.o, $(UINAMES))

MOC_CPP=$(patsubst %, moc_%.cpp, $(UINAMES))
UI_CPP=$(patsubst %, %.cpp, $(UINAMES))
UI_H=$(patsubst %, %.h, $(UINAMES))

DELFILES=$(MOC_CPP) $(UI_CPP) $(UI_H)

EXTRA_CFLAGS+=-I../widgets -I../view

include ../Rules.mak

headers: $(UI_H)

=== view/Makefile ===
#
# $Id: Makefile,v 1.5 2004/02/21 16:41:15 chris2511 Exp $
#
#########################################################################

ifeq ($(TOPDIR),)
TOPDIR=..
endif

NAMES=CertView CrlView KeyView ReqView TempView XcaListView
OBJS=$(patsubst %, moc_%.o, $(NAMES)) $(patsubst %, %.o, $(NAMES))
DELFILES=$(patsubst %, moc_%.cpp, $(NAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== widgets/Makefile ===
#
# $Id: Makefile,v 1.7 2004/04/13 23:35:23 chris2511 Exp $
#
############################################################################

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOC_NAMES=CertDetail ExportKey KeyDetail distname CrlDetail ExportTinyCA \
	MainWindow ReqDetail validity ExportCert ImportMulti NewX509 \
	CertExtend clicklabel
	
NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOC_NAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== debian/changelog ===
xca (0.5.1-1) unstable; urgency=low

  * support for different languages on WIN platform (Thanks Ilya)
  * better installation and deinstallation on WIN platform
  * documentation updated

 -- Christian Hohnstaedt <christian@hohnstaedt.de>  Tue, 13 Jul 2004 20:52:08 +0200

xca (0.5.0-1) unstable; urgency=low

  * orthographical changes
  * more translations
  * segfault in CRL import removed
  * manpage and documentation updated
  * store "midnight" in template

 -- Christian Hohnstaedt <christian@hohnstaedt.de>  Wed, 26 May 2004 23:07:23 +0200

xca (0.4.7-RC2-1) unstable; urgency=low

  * open db if explicit mentioned, otherwise do not.
  * Errormessage on a wrong pkcs12 password more comprehensive
  * postinst and  postrm do update-menu
  * search more intensive for the CRL signer
  * add /etc/xca/nid.txt to OID search path
  * debian build enhanced, lintian satisfied, manpage added.
  * AuthorityInfoAccess enhanced "aia.txt" as oid list added
  * allow empty passwords on PKCS#12 import

 -- Christian Hohnstaedt <christian@hohnstaedt.de>  Sat, 17 Apr 2004 00:08:31 +0200

xca (0.4.7-RC1-1) unstable; urgency=low

  * debian menu-entry added
  * Open and closing of different databases
  * Menu added
  * German translation
  * CRLs will revoke existing certs
  * memory leaks removed
  * support for other compiled in basedir on unix
  * Authority info access added
     Certificate policies still pending :-(
  * additional (private) oids can be registered in oids.txt
  * OIDs for extended key usage and Distinguished name are
    now read from eku.txt and dn.txt respectively.
  * About dialog and help window added.
  * Requestdetail is now tabdialog

 -- Christian Hohnstaedt <christian@hohnstaedt.de>  Fri, 16 Apr 2004 23:51:56 +0200

xca (0.4.6) unstable; urgency=low

  * Country is State or Province
  * xca.dsp: WIN32 changes from Ilya
  * New configure added, Makefile.in's purged and one configuration:
    "Local.mak" for flags and compilers.
    supports parallel builds (make -j)
  * SmartCard Logon OID added
  * Fixed bugs:
  * [ 846052 ] Tab order in Certificate Netscape extensions is wrong
  * [ 845800 ] CRL Generation problem for Netscape
  * [ 836967 ] Unable to specify alternate database
  * [ 843725 ] xca dies when opened with a pem key as argument
  * [ 789374 ] Bad encoding in misc/xca.desktop
  * by Wolfgang Glas <wolfgang.glas@ev-i.at>:
    - Support for UTF8 in x509name
    - Netscape SPKAC support added

 -- Christian Hohnstdt <chris@trinity.local>  Tue, 25 Nov 2003 18:28:02 +0100

xca (0.4.5) unstable; urgency=low

  * more german translations
  * [ 737036 ] make error texts copiable from pop-up-windows to clipboard
    by adding a button doing this
  * [ 767603 ] Key sizes
    Implemented by making the Key-size ComboBox
    editable to enter arbitrary key sizes.
  * [ 765774 ] change password for database

 -- Christian Hohnstdt <chris@trinity.local>  Wed, 13 Aug 2003 22:10:43 +0200

xca (0.4.4) unstable; urgency=low

  * [ 783853 ] renewal uses 'notBefore' as 'notAfter' date
  * [ 783830 ] GeneralizedTime-format breaks browsers

 -- Christian Hohnstdt <chris@trinity.local>  Wed,  6 Aug 2003 18:42:58 +0200

xca (0.4.3) unstable; urgency=low

  * remove Certificate creation bug (AuthKeyId)
  * always take the right cert for signing
  * critical flag in key usage and extended key usage works now
  * Import of Multiple items is done and works
    [ 739726 ] extend description of -p option
    [ 775529 ] Import of PKCS#7 item not shown
  * made the details dialogs internal name read only
  * some segmentation faults removed 
  * VPN OIDs added to Ext. Keyusage

 -- Christian Hohnstdt <chris@trinity.local>  Tue,  5 Aug 2003 21:51:20 +0200

xca (0.4.2) unstable; urgency=low

  * Memory leak removed
  * Template import and export added
  * fix bug [ 773056 ] Duplicate 'All files (*.*)'
    selection on import menus
  * import of PKCS#12 keys repaired
  * crl icon added to W32 installation
  * /usr/local/include removed from CPP flags
  * Buttons "Export Cert" and "Change Template"
    reconnected.
  * Authority Key identifier repaired

 -- Christian Hohnstdt <chris@trinity.local>  Sun, 20 Jul 2003 23:38:38 +0200

xca (0.4.1) unstable; urgency=low

  * some compiling issues removed
  * Import via commandline repaired,
  * signing of requests without key fixed
  * Changes for WIN32 version from Ilya added
  * solved bug:
    [ 770120 ] Attempting to export private key results in no file exported
  * implemented feature request:
    [ 755599 ] add PFX import button to Keytab
  
 -- Christian Hohnstaedt <chohnstaedt@innominate.com>  Tue, 15 Jul 2003 15:18:17 +0200

xca (0.4.0) unstable; urgency=low

  * Solved bugs:
  * [ 752111 ] Cannot handle dates past 32-bit boundary (2038)
  * [ 744227 ] Bug in handling of 3rd. party CRLs
  * The following Feature requests were implemented:
  * [ 743152 ] Attributes in subject name
  * [ 755853 ] select the hash algorithm for signing.
  * The code was completely rewritten to remove
    many unpretty codefragements and get a more stable codebase
  * The names of certs and keys in the detailsview of Certs, CRLs
    and Requests are clickable.
  * xca desktopfile added and will be installed in applications,
    key.xpm will be installed as xca.xpm in pixmaps
    ([ 763954 ] xca.desktop file) Thanks to Enrico Scholz

 -- Christian Hohnstdt <chris@trinity.local>  Tue,  8 Jul 2003 23:31:37 +0200

xca (0.3.2) unstable; urgency=low

  * Optimizations, icon for WIN32 platform
  * MS Registry and %USERPROFILE% support
  * Support for PKCS#7 certs (im/export)
  * small UI changes

 -- Christian Hohnstdt <chris@trinity.local>  Thu, 15 May 2003 00:46:07 +0200

xca (0.3.1) unstable; urgency=low

  * Tool Tips added
  * CRL handling (import, export, details) added

 -- Christian Hohnstdt <chris@trinity.local>  Thu, 24 Apr 2003 19:29:36 +0200

xca (0.3.0) unstable; urgency=low

  * several bugfixes and memoryleaks removed


=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Christian Hohnstaedt <christian@hohnstaedt.de>
Build-Depends: debhelper (>> 3.0.0), libdb3++-dev, libqt-dev, libssl-dev
Standards-Version: 3.6.1.0

Package: xca
Architecture: any
Depends: ${shlibs:Depends}
Description: A GUI for handling X509 certificates, RSA keys, PKCS#10 Requests and CRLs.
 The Program uses a Berkeley db for storage and supports RSA keys,
 Certificate signing requests (PKCS#10) and Certificates (X509v3)
 The signing of requests, and the creation of selfsigned certificates
 is supported. Both can use templates for simplicity.
 The PKI structures can be imported and exported in several formats
 like PKCS#12, PEM, DER, PKCS#8, PKCS#7.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

Local.mak: 

	dh_testdir
	# Add here commands to configure the package.
	# prefix=/usr ./configure
	cat debian/debian.mak > Local.mak

build: build-stamp
build-stamp: Local.mak

	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) -j 4
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/xca.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
